#
# spec file for package telepathy-logger-qt5
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
%define SOVERSION 5
Name:           telepathy-logger-qt5
Version:        17.09.0
Release:        bp153.2.2.1
Summary:        Qt Wrapper around TpLogger client library
License:        LGPL-2.1-or-later
Group:          Productivity/Networking/Instant Messenger
URL:            https://github.com/KDE/telepathy-logger-qt
Source0:        telepathy-logger-qt-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  python3-base
BuildRequires:  telepathy-logger-devel >= 0.8.0
BuildRequires:  telepathy-qt5-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(farstream-0.2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(telepathy-farstream)
BuildRequires:  pkgconfig(telepathy-glib)
Requires:       telepathy-logger >= 0.8.0
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif

%description
Telepathy-logger-qt5 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%package devel
Summary:        Qt Wrapper around TpLogger client library
Group:          Development/Libraries/KDE
Requires:       libtelepathy-logger-qt%{SOVERSION} = %{version}
Requires:       telepathy-glib-devel
Requires:       telepathy-logger-devel >= 0.8.0
Conflicts:      telepathy-logger-qt4-devel

%description devel
Telepathy-logger-qt5 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%package -n libtelepathy-logger-qt%{SOVERSION}
Summary:        Qt Wrapper around TpLogger client library
Group:          Productivity/Networking/Instant Messenger

%description -n libtelepathy-logger-qt%{SOVERSION}
Telepathy-logger-qt5 is a Qt Wrapper around the TpLogger client library.
It is needed by KDE Telepathy in order to log the chat activity.

%prep
%setup -q -n telepathy-logger-qt-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %make_install -C build
  %fdupes -s %{buildroot}

%post -n libtelepathy-logger-qt%{SOVERSION} -p /sbin/ldconfig
%postun -n libtelepathy-logger-qt%{SOVERSION} -p /sbin/ldconfig

%files -n libtelepathy-logger-qt%{SOVERSION}
%license COPYING
%doc AUTHORS ChangeLog HACKING TODO
%{_kf5_libdir}/libtelepathy-logger-qt.so.*

%files devel
%{_kf5_libdir}/libtelepathy-logger-qt.so
%{_kf5_cmakedir}/TelepathyLoggerQt/
%{_includedir}/TelepathyLoggerQt/

%changelog
* Sun Mar 15 2020 wbauer@tmo.at
- Update to 17.09.0:
  * Tools: Sync with TelepathyQt (make compatible with Python 3)
  * Remove Qt4 traces to avoid empty generated docs (kde#303374)
- Drop make-compatible-with-Python-3.patch, merged upstream
* Tue Jan 14 2020 wbauer@tmo.at
- Add make-compatible-with-Python-3.patch and build with python3
  instead of python2
* Mon Nov 26 2018 wbauer@tmo.at
- Don't set LIB_SUFFIX manually, it's not necessary
- Update URL
- Run spec-cleaner
* Thu Feb  8 2018 wbauer@tmo.at
- Force python2 by passing -DPYTHON_EXECUTABLE=%%{_bindir}/python2
  to cmake to fix build on Tumbleweed
* Fri Aug 25 2017 wbauer@tmo.at
- Update to 17.08.0:
  * fix compatibility with cmake-3.9.x
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Fri Apr 24 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.0
  * KDE Applications 15.04.0
  * https://www.kde.org/announcements/announce-applications-15.04.0.php
* Fri Nov  7 2014 alinm.elena@gmail.com
- initial comit
